%global commit 0bcc624926a25a2a273d07877fd25a6ff5ba1cfb
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20220705
%global gitrel .%{commit_date}.git%{shortcommit}

Name:           spirv-headers
Version:        1.5.5
Release:        2%{?gitrel}%{?dist}
Summary:        Header files from the SPIR-V registry

License:        MIT
URL:            https://github.com/KhronosGroup
Source0:        %url/SPIRV-Headers/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildArch:      noarch

%description
%{summary}
 
This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

%package        devel
Summary:        Development files for %{name}

%description    devel
%{summary}
 
This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry fil

%prep
%autosetup -n SPIRV-Headers-%{commit}
chmod a-x include/spirv/1.2/spirv.py


%build


%install
mkdir -p %buildroot%{_includedir}/
mv include/* %buildroot%{_includedir}/

%files devel
%license LICENSE
%doc README.md
%{_includedir}/spirv/

%changelog
* Fri Jul 29 2022 James Xie <james@cclinux.com> - 1.5.4-2.20220705.git0bcc624
- Update to spirv headers for 1.3.216 sdk

* Wed Sep 08 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-2.20210728.git449bc98
- Update to spirv headesr for 1.2.189 sdk

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> - 1.5.4-1.20201128.gitf027d53
- Update to spirv headers for 1.2.162 sdk

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> - 1.5.1-3
- Update to latest upstream snapshot

* Wed Jan 29 2020 Dave Airlie <airlied@redhat.com> - 1.5.1-2
- Update to latest upstream snapshot

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> - 1.5.1-1
- Update to latest upstream snapshot

* Sat Aug 03 2019 Dave Airlie <airlied@redhat.com> - 1.4.2-0.1
- Update to latest upstream snapshot

* Thu Mar 07 2019 Dave Airlie <airlied@redhat.com> - 1.2-0.8.20190307.git03a0815
- Update to latest version

* Mon Jul 23 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.2-0.7.20180703.gitff684ff
- Update for SPIRV-Tools-2018.4

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.6.20180405.git12f8de9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Apr 24 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.2-0.5.20180405.git12f8de9
- Update for vulkan 1.0.73.0

* Fri Feb 09 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.2-0.4.20180201.gitce30920
- Update for vulkan 1.0.68.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-0.3.20171015.git0610978
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.2-0.2.20171015.git0610978
- fix rpmlint error

* Thu Jul 13 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.2-0.1.20171015.git0610978
- First build

